Bug 500242 - Pre-Review Request: maven-wagon - Tools to manage artifacts and deployment
Pre-Review Request: maven-wagon - Tools to manage artifacts and deployment
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 429551
  Show dependency treegraph
 
Reported: 2009-05-11 17:46 EDT by Fernando Nasser
Modified: 2009-05-18 18:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 18:47:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fnasser: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fernando Nasser 2009-05-11 17:46:49 EDT
Package needed for Maven 2.0.8

Spec URL: http://people.fedoraproject.org/~fnasser/maven-wagon.spec

SRPM URL: http://people.fedoraproject.org/~fnasser/maven-wagon-1.0-0.2.b2.6.jpp6.src.rpm

Description: 
Maven Wagon is a transport abstraction that is used in Maven's
artifact and repository handling code.
Comment 1 Alexander Kurtakov 2009-05-14 06:22:32 EDT
Pre-review:
    OK: Licensing - All the content is Apache license and the License tag is correct.
    OK: SourceURL - Maven are not releasing source tarballs and instructions for creating Source0 are provided.

    OK: No_inclusion_of_pre-built_binaries_or_libraries - There are no prebuild parts in the src.rpm.

    OK: Exceptions - Not buildable now, it needs maven 2.0.8

    OK: Duplication_of_system_libraries - No system libraries are duplicated.

The package is good to go for the maven 2.0.8 bootstrap.
Comment 2 Alexander Kurtakov 2009-05-14 06:23:38 EDT
Should we set some flag for packages that passed pre-review?
Comment 3 Fernando Nasser 2009-05-14 21:59:29 EDT
I set the fedora-review for you.  It is hidden, it only appears when you click on the Flags: _edit_ link.
Comment 4 Fernando Nasser 2009-05-14 22:00:33 EDT
Need cvs module for import.  (Pre-Reviewed by Alexander Kurtakov  --  Thanks Alexander!)
Comment 5 Kevin Fenzi 2009-05-15 19:57:20 EDT
Can you add a cvs template here so I know what you want?

Reset the flag when you're ready.
Comment 6 Fernando Nasser 2009-05-17 21:22:06 EDT
New Package CVS Request
=======================
Package Name: maven-wagon
Short Description: Tools to manage artifacts and deployment
Owners: fnasser, dbhole
Branches: devel
InitialCC: jkeating
Comment 7 Kevin Fenzi 2009-05-18 00:20:04 EDT
cvs done.
Comment 8 Fernando Nasser 2009-05-18 18:47:30 EDT
I am really sorry, Jesse just pointed out to me that maven-wagon is already a Fedora package.  So I have to close this bug and make sure a Review is not requested.

But not all work was lost, there were many changes since the alpha version we had and having someone take a look at it was not a bad idea.

Thank you Alexander and Kevin, and please accept my appologies.

-- Fernando

Note You need to log in before you can comment on or make changes to this bug.